Bug 466207 - Crash when using Calendar
Crash when using Calendar
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
Depends On:
Blocks: F10Target
  Show dependency treegraph
Reported: 2008-10-09 03:46 EDT by Denis Leroy
Modified: 2009-06-28 21:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-28 21:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
GDB session during crash (7.34 KB, text/plain)
2008-10-09 03:46 EDT, Denis Leroy
no flags Details
GDB session, all debuginfo installed. (7.85 KB, text/plain)
2008-10-09 10:29 EDT, Denis Leroy
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 560329 None None None Never

  None (edit)
Description Denis Leroy 2008-10-09 03:46:34 EDT
Created attachment 319833 [details]
GDB session during crash

Somebody on #fedora-qa reported evolution instability with a Google calendar conencted. I was quickly able to reproduce. Stack trace attached. Seems to come from ea-cal-view.c, line 280:

g_signal_emit_by_name (ea_cal_view, "children_changed", NULL);

I've reproduced the crash several times pretty easily, typically by just "playing around" with the calendar stuff, changing the view, enabling/disabling, etc... Crash always comes from line above.

I would recommend to mark this a F10 blocker.
Comment 1 Matthew Barnes 2008-10-09 08:58:23 EDT
Thanks for the backtrace.

Looks like this is accessibility-related, and I see some atk symbols missing from the trace.  Would you mind installing atk-debuginfo and attempting to reproduce the crash again?
Comment 2 Denis Leroy 2008-10-09 10:29:25 EDT
Created attachment 319864 [details]
GDB session, all debuginfo installed.

I also recompiled at-spi with '-g3 -O0' for extra info. This bug is easily reproducible.
Comment 3 Matthew Barnes 2008-10-09 10:37:27 EDT
Great!  Thanks for the extra info.
Comment 4 Denis Leroy 2008-10-09 10:46:46 EDT
"valgrind -q evolution"

shows invalid reads in the same at-spi code section.
Comment 5 Denis Leroy 2008-10-11 04:39:26 EDT
Changing subject, as it doesn't appear to be strictly related to the Google feature.
Comment 6 Jerry Amundson 2008-10-12 01:21:58 EDT
Possible connection upstream?
Comment 7 Milan Crha 2008-11-05 08:03:20 EST
This [1] is more accurate upstream bug, than the old one (357608). Close this as upstream? There is some patch already, done by Matt, awaiting the review.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=530776
Comment 8 Bug Zapper 2008-11-25 22:41:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 9 Matthew Barnes 2009-06-28 21:59:01 EDT
According to [1] this bug should be fixed now in Fedora 11.
Please reopen if this is not the case.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=560329

Note You need to log in before you can comment on or make changes to this bug.